services:
    pim_import_export.query.get_last_operations:
        class: 'Akeneo\Platform\Bundle\ImportExportBundle\Query\GetLastOperations'
        arguments:
            - '@database_connection'

    pim_import_export.query.get_job_execution_tracking:
        class: Akeneo\Platform\Bundle\ImportExportBundle\Query\GetJobExecutionTracking
        arguments:
            - '@akeneo_batch.job.job_registry'
            - '@pim_enrich.repository.job_execution'
            - '@akeneo_batch_queue.manager.job_execution_manager'
            - '@pim_import_export.clock'

    pim_import_export.clock:
        class: Akeneo\Platform\Bundle\ImportExportBundle\Query\SystemClock
